import { defineComponent as m, mergeModels as d, useModel as p, createElementBlock as b, openBlock as c, createVNode as i, unref as o } from "vue";
import { useI18n as S } from "vue-i18n";
import { b as r, l as f } from "./start-BYfL32Oe.mjs";
import "pinia";
import "vue-router";
import "./header-Droxy2Kd.mjs";
import "./moment-h96o7c8I.mjs";
const g = { class: "extension-config d-flex flex-wrap" }, s = /* @__PURE__ */ m({
  __name: "NumberToStringExtension",
  props: /* @__PURE__ */ d({
    attributeMap: {},
    destinationAttribute: {},
    sourceAttributes: {},
    etlAttributeSetMapId: {}
  }, {
    modelValue: {},
    modelModifiers: {}
  }),
  emits: ["update:modelValue"],
  setup(l) {
    const e = p(l, "modelValue"), { t: a } = S();
    return (_, t) => (c(), b("div", g, [
      i(o(r), {
        modelValue: e.value.precision,
        "onUpdate:modelValue": t[0] || (t[0] = (n) => e.value.precision = n),
        label: o(a)("datahub-plugin.etl.numberToString.Precision"),
        type: "number"
      }, null, 8, ["modelValue", "label"]),
      i(o(r), {
        modelValue: e.value.thousandSeparator,
        "onUpdate:modelValue": t[1] || (t[1] = (n) => e.value.thousandSeparator = n),
        label: o(a)("datahub-plugin.etl.numberToString.ThousandSep")
      }, null, 8, ["modelValue", "label"]),
      i(o(r), {
        modelValue: e.value.decimalSeparator,
        "onUpdate:modelValue": t[2] || (t[2] = (n) => e.value.decimalSeparator = n),
        label: o(a)("datahub-plugin.etl.numberToString.DecimalSep")
      }, null, 8, ["modelValue", "label"])
    ]));
  }
});
function u(l) {
  const e = l;
  e.__i18n = e.__i18n || [], e.__i18n.push({
    locale: "",
    resource: {
      "en-US": {
        "datahub-plugin": {
          etl: {
            numberToString: {
              Precision: { t: 0, b: { t: 2, i: [{ t: 3 }], s: "Precision" } },
              ThousandSep: { t: 0, b: { t: 2, i: [{ t: 3 }], s: "Thousands separator" } },
              DecimalSep: { t: 0, b: { t: 2, i: [{ t: 3 }], s: "Decimal Separator" } }
            }
          }
        }
      },
      "de-DE": {
        "datahub-plugin": {
          etl: {
            numberToString: {
              Precision: { t: 0, b: { t: 2, i: [{ t: 3 }], s: "Genauigkeit" } },
              ThousandSep: { t: 0, b: { t: 2, i: [{ t: 3 }], s: "Tausendertrennzeichen" } },
              DecimalSep: { t: 0, b: { t: 2, i: [{ t: 3 }], s: "Dezimaltrennzeichen" } }
            }
          }
        }
      }
    }
  });
}
typeof u == "function" && u(s);
const k = /* @__PURE__ */ f(s, [["__scopeId", "data-v-462497ee"]]);
export {
  k as default
};
